Package Scientific :: Package DistributedComputing :: Module TaskManager

[frames] | no frames]

# Module TaskManager

Classes
| Task Describes a task inside the task manager.
| TaskManager Manager for computational tasks.
| TaskManagerTermination Signals that the task manager has no more tasks to handle.
| TaskQueue A FIFO queue for tasks.
| TaskRaisedException Signals that an exception was raised inside a task.
| Watchdog A background process that watches compute tasks and unregisters those that do not ping the task manager at the promised interval.

Variables
| debug = `False`